Debian Bug report logs - #486985
drawtiming: FTBFS: ld: cannot find -lXext

version graph

Package: libgraphicsmagick1-dev; Maintainer for libgraphicsmagick1-dev is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for libgraphicsmagick1-dev is src:graphicsmagick.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Jun 2008 08:34:46 UTC

Severity: serious

Tags: lenny, patch, sid

Fixed in versions graphicsmagick/1.1.11-3.1, graphicsmagick/1.2.4-1

Done: Daniel Kobras <kobras@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#486985; Package drawtiming. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: drawtiming: FTBFS: ld: cannot find -lXext
Date: Thu, 19 Jun 2008 10:11:20 +0200
Package: drawtiming
Version: 0.7-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080619 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on
i386.

Relevant part:
> i486-linux-gnu-g++ -I/usr/include/GraphicsMagick -g -O2 -pthread -DYYDEBUG=1 -g -O2   -o drawtiming -L/usr/lib -L/usr/lib/X11 -L/usr/lib -L/usr/lib main.o parser.o scanner.o timing.o -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljasper -ljpeg -lpng -lwmflite -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lm -lpthread 
> /usr/bin/ld: cannot find -lXext
> collect2: ld returned 1 exit status

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/06/19

This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3
is now the default on most architectures (even if it's not the case on
i386 yet).  Consequently, many failures are caused by the switch to gcc
4.3.
If you determine that this failure is caused by gcc 4.3, feel free to
downgrade this bug to 'important' if your package is only built on i386,
and this bug is specific to gcc 4.3 (i.e the package builds fine with
gcc 4.2).

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#486985; Package drawtiming. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 486985@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 486985@bugs.debian.org
Cc: kobras@debian.org
Subject: libgraphicsmagick1-dev: does not depend on everything mentioned by GraphicsMagick-config --libs
Date: Sat, 28 Jun 2008 16:56:09 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reassign 486985 libgraphicsmagick1-dev
tags 486985 + patch
thanks

/usr/bin/GraphicsMagick-config --libs outputs:

- -lGraphicsMagick -llcms -ltiff -lfreetype -ljasper
- -ljpeg -lpng -lwmflite -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lm
- -lpthread

but libgraphicsmagick1-dev does not depend on libxext-dev, causing #486985.
Neither does it depend on libsm-dev or libice-dev, although those seem to be
pulled in indirectly by other packages.

(The drawtiming package, on which this bug was filed, actually runs
GraphicsMagick++-config, but that's just a wrapper for GraphicsMagick-config,
so I'm filing this against the C library rather than the C++ one.)

Here's a trivial patch; I'll prepare a delayed NMU.

Regards,
    Simon (at the Cambridge BSP)

- --- graphicsmagick-1.1.11/debian/control
+++ graphicsmagick-1.1.11/debian/control
@@ -57,7 +57,7 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
- -Depends: libgraphicsmagick1 (= ${binary:Version}), libjpeg62-dev, libjasper-dev, liblcms1-dev, libwmf-dev, libx11-dev, x11proto-core-dev | x-dev, libxml2-dev, libfreetype6-dev, libtiff4-dev, libc6-dev, zlib1g-dev | libz-dev, libpng12-dev, libexif-dev, libbz2-dev
+Depends: libgraphicsmagick1 (= ${binary:Version}), libjpeg62-dev, libjasper-dev, liblcms1-dev, libwmf-dev, libx11-dev, x11proto-core-dev | x-dev, libxml2-dev, libfreetype6-dev, libtiff4-dev, libc6-dev, zlib1g-dev | libz-dev, libpng12-dev, libexif-dev, libbz2-dev, libsm-dev, libice-dev, libxext-dev
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev
 Conflicts: libgraphicsmagick-dev

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZl8QWSc8zVUw7HYRAlNsAJ9A+gYuJvMmGnA7u4PKTNLr+FOkHACgxOqd
Ojecn/U0nSY0gQc27zh4cso=
=v1fS
-----END PGP SIGNATURE-----




Bug reassigned from package `drawtiming' to `libgraphicsmagick1-dev'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 16:00:06 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 16:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#486985; Package libgraphicsmagick1-dev. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. Full text and rfc822 format available.

Message #19 received at 486985@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 486985@bugs.debian.org
Subject: graphicsmagick: diff for NMU version 1.1.11-3.1
Date: Sat, 28 Jun 2008 19:41:50 +0100
[Message part 1 (text/plain, inline)]
Hi,

Attached is the diff for my graphicsmagick 1.1.11-3.1 NMU. I've uploaded
it to DELAYED/7 - feel free to upload a higher version number if you'd
prefer to fix this yourself.

Regards,
    Simon
[graphicsmagick-1.1.11-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#486985; Package libgraphicsmagick1-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Kobras <kobras@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #24 received at 486985@bugs.debian.org (full text, mbox):

From: Daniel Kobras <kobras@debian.org>
To: Simon McVittie <smcv@debian.org>, 486985@bugs.debian.org
Subject: Re: libgraphicsmagick1-dev: does not depend on everything mentioned by GraphicsMagick-config --libs
Date: Sat, 28 Jun 2008 22:21:09 +0200
clone 486985 -1
severity -1 wishlist
retitle -1 drawtiming: Please use pkg-config instead of GraphicsMagick-config.
reassign -1 drawtiming
thanks

On Sat, Jun 28, 2008 at 04:56:09PM +0100, Simon McVittie wrote:
> /usr/bin/GraphicsMagick-config --libs outputs:
> 
> -lGraphicsMagick -llcms -ltiff -lfreetype -ljasper
> -ljpeg -lpng -lwmflite -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lm
> -lpthread
> 
> but libgraphicsmagick1-dev does not depend on libxext-dev, causing #486985.
> Neither does it depend on libsm-dev or libice-dev, although those seem to be
> pulled in indirectly by other packages.

This is quite odd, as the libgraphicsmagick1-dev Depends line more or
less duplicates the source package's Build-Depends. Might be stray
dependencies that get picked up if the respective packages happen to be
installed at build time. The patch you sent in certainly isn't wrong,
but it's not the full story, either. The respective packages ought to be
added to Build-Depends as well, at least. I'll investigate.

> (The drawtiming package, on which this bug was filed, actually runs
> GraphicsMagick++-config, but that's just a wrapper for GraphicsMagick-config,
> so I'm filing this against the C library rather than the C++ one.)

GraphicsMagick-config (just like Magick-config) historically cannot
distinguish between shared and static linkage. Hence the overly long
--libs line, and consequently the many Depends (rather than Recommends
or Suggests) in the -dev package. Therefore, I'd advise against using
the legacy GraphicsMagick-config, and prefer pkg-config instead, which
has this problem fixed. Wesley, if possible, please switch from
GraphicsMagick-config to pkg-config in the drawtiming package. This will
not only avoid graphicsmagick bug #486985, but also give you a much
shorter Depends line.

Thanks,

Daniel.





Bug 486985 cloned as bug 488428. Request was from Daniel Kobras <kobras@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 20:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#486985; Package libgraphicsmagick1-dev. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. Full text and rfc822 format available.

Message #31 received at 486985@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 486985@bugs.debian.org
Subject: Re: libgraphicsmagick1-dev: does not depend on everything mentioned by GraphicsMagick-config --libs
Date: Sat, 28 Jun 2008 21:49:20 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, 28 Jun 2008 at 22:21:09 +0200, Daniel Kobras wrote:
> The patch you sent in certainly isn't wrong,
> but it's not the full story, either. The respective packages ought to be
> added to Build-Depends as well, at least. I'll investigate.

Well, it worked for me... building my NMU with "sbuild -As" on a
mostly clean chroot (i.e. no X-related packages except the build
dependencies) seemed to work fine. Perhaps they're mentioned by the -config
script but not actually needed?

Let me know if you want me to cancel my NMU; otherwise, it'll land in 7 days,
unless you've uploaded a higher version by then. I'm in #debian-bugs on
OFTC (as smcv) if you want to discuss anything.

    Simon
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZqPIWSc8zVUw7HYRAvUjAJ458/DQB8BY5cUiewR28t3E/35+ngCg8Cb+
rVdPZ51Cg3CRO3ZDBMqarXU=
=WPZq
-----END PGP SIGNATURE-----




Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 486985-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 486985-close@bugs.debian.org
Subject: Bug#486985: fixed in graphicsmagick 1.1.11-3.1
Date: Fri, 04 Jul 2008 20:47:12 +0000
Source: graphicsmagick
Source-Version: 1.1.11-3.1

We believe that the bug you reported is fixed in the latest version of
graphicsmagick, which is due to be installed in the Debian FTP archive:

graphicsmagick-dbg_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/graphicsmagick-dbg_1.1.11-3.1_i386.deb
graphicsmagick-imagemagick-compat_1.1.11-3.1_all.deb
  to pool/main/g/graphicsmagick/graphicsmagick-imagemagick-compat_1.1.11-3.1_all.deb
graphicsmagick-libmagick-dev-compat_1.1.11-3.1_all.deb
  to pool/main/g/graphicsmagick/graphicsmagick-libmagick-dev-compat_1.1.11-3.1_all.deb
graphicsmagick_1.1.11-3.1.diff.gz
  to pool/main/g/graphicsmagick/graphicsmagick_1.1.11-3.1.diff.gz
graphicsmagick_1.1.11-3.1.dsc
  to pool/main/g/graphicsmagick/graphicsmagick_1.1.11-3.1.dsc
graphicsmagick_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/graphicsmagick_1.1.11-3.1_i386.deb
libgraphics-magick-perl_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/libgraphics-magick-perl_1.1.11-3.1_i386.deb
libgraphicsmagick++1-dev_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick++1-dev_1.1.11-3.1_i386.deb
libgraphicsmagick++1_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick++1_1.1.11-3.1_i386.deb
libgraphicsmagick1-dev_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick1-dev_1.1.11-3.1_i386.deb
libgraphicsmagick1_1.1.11-3.1_i386.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick1_1.1.11-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated graphicsmagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jun 2008 14:47:20 +0000
Source: graphicsmagick
Binary: graphicsmagick libgraphicsmagick1 libgraphicsmagick1-dev libgraphicsmagick++1 libgraphicsmagick++1-dev libgraphics-magick-perl graphicsmagick-imagemagick-compat graphicsmagick-libmagick-dev-compat graphicsmagick-dbg
Architecture: source i386 all
Version: 1.1.11-3.1
Distribution: unstable
Urgency: low
Maintainer: Daniel Kobras <kobras@debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 graphicsmagick - collection of image processing tools
 graphicsmagick-dbg - format-independent image processing - debugging symbols
 graphicsmagick-imagemagick-compat - image processing tools providing ImageMagick interface
 graphicsmagick-libmagick-dev-compat - image processing libraries providing ImageMagick interface
 libgraphics-magick-perl - format-independent image processing - perl interface
 libgraphicsmagick++1 - format-independent image processing - C++ shared library
 libgraphicsmagick++1-dev - format-independent image processing - C++ development files
 libgraphicsmagick1 - format-independent image processing - C shared library
 libgraphicsmagick1-dev - format-independent image processing - C development files
Closes: 486985
Changes: 
 graphicsmagick (1.1.11-3.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Cambridge BSP.
   * libgraphicsmagick1-dev: depend on libice-dev, libsm-dev, libxext-dev
     (closes: #486985)
Checksums-Sha1: 
 40f7e1f0fc6adbce9661f82e1430bde11ab9f50e 1465 graphicsmagick_1.1.11-3.1.dsc
 fe1a6c49bb62ca318f7d6a69a55cbdd0d2482677 134761 graphicsmagick_1.1.11-3.1.diff.gz
 92f38beb0f593ce4dd6094f56d8f174275c6a1a5 946912 graphicsmagick_1.1.11-3.1_i386.deb
 c7e7f5cc4daefd569d08c0e74cd86951320b0d42 1196828 libgraphicsmagick1_1.1.11-3.1_i386.deb
 9a8b894d49dc377fce94cb00ceb4ec3b41be57fe 1540630 libgraphicsmagick1-dev_1.1.11-3.1_i386.deb
 8bfbc58edc7355311ac1a7e2a894a0be24a436d3 243786 libgraphicsmagick++1_1.1.11-3.1_i386.deb
 a88e6d98b85894487af685e9b833fcf2d9bbc284 493170 libgraphicsmagick++1-dev_1.1.11-3.1_i386.deb
 39b19f823f5d0c792c33294b8ecc87af9747a0af 163166 libgraphics-magick-perl_1.1.11-3.1_i386.deb
 8b3fdfe1be27317b0f982fd48c6183a2eace85fa 1890862 graphicsmagick-dbg_1.1.11-3.1_i386.deb
 91812b536b78f86588ffe311c6da7aaceba0155e 12306 graphicsmagick-imagemagick-compat_1.1.11-3.1_all.deb
 6608faa88bc914fc9b6efea39a404e0763b01b1e 15910 graphicsmagick-libmagick-dev-compat_1.1.11-3.1_all.deb
Checksums-Sha256: 
 f746dee312f255cd70b5514cb4b58bc36bfbc298d506ce9796cad1127a4b4ac1 1465 graphicsmagick_1.1.11-3.1.dsc
 d030e4a1d2f6891a57094fe7464a01ec9107e8a0ee9c3bf77c29248724fc5dcc 134761 graphicsmagick_1.1.11-3.1.diff.gz
 1753d5fb0b5c7e7a3c59fae97b913adb32dfa8f951cf14b0f7bcfee5dc404528 946912 graphicsmagick_1.1.11-3.1_i386.deb
 2011e33610eda74cf06de179ddccf66f2e9b8162df320272c162e33f13215e5d 1196828 libgraphicsmagick1_1.1.11-3.1_i386.deb
 b046222c221c1f9050f76ea28243294b44a92ddee7db32ec30faba92a3829208 1540630 libgraphicsmagick1-dev_1.1.11-3.1_i386.deb
 190ff6636ef1f9eede244d8699b701db210bb80ec836af4d4f73732319e61b9b 243786 libgraphicsmagick++1_1.1.11-3.1_i386.deb
 2585ddea77883b196fb393e6af31775a87f87407c52d7710342f71c8ecbb9e17 493170 libgraphicsmagick++1-dev_1.1.11-3.1_i386.deb
 03639563235cb578e40e1070783c085019d4d1ffdd45a4240a4d31e7b90676e2 163166 libgraphics-magick-perl_1.1.11-3.1_i386.deb
 ba77b7f0f0051657105282b145b5e9ab73bee6bd46e515298d94575acc3117ae 1890862 graphicsmagick-dbg_1.1.11-3.1_i386.deb
 0aea77ecb1f073e1cdd2601a09b38a1bfeb0d014c76a9a4858d36f96c182ff2c 12306 graphicsmagick-imagemagick-compat_1.1.11-3.1_all.deb
 27bb797a73330e8a4b44c72321e57398ee0bebcb0959b9dce314cb5170458770 15910 graphicsmagick-libmagick-dev-compat_1.1.11-3.1_all.deb
Files: 
 e78b9e2a65383ae84ef2c0afcfc06e51 1465 graphics optional graphicsmagick_1.1.11-3.1.dsc
 c39521d0b628a863914afdde39d38ba2 134761 graphics optional graphicsmagick_1.1.11-3.1.diff.gz
 6f1952f12a2791b360b5bf09046a3e94 946912 graphics optional graphicsmagick_1.1.11-3.1_i386.deb
 d2a327a53ffad5ba4d4abce85fee5b1c 1196828 libs optional libgraphicsmagick1_1.1.11-3.1_i386.deb
 fd77f7f9797d7302516a59d11cdeb8b3 1540630 libdevel optional libgraphicsmagick1-dev_1.1.11-3.1_i386.deb
 fd31bc46c4e058ce61e3ee7494c74f99 243786 libs optional libgraphicsmagick++1_1.1.11-3.1_i386.deb
 a36ddc829fc063b7a53f6e49ca75dfb0 493170 libdevel optional libgraphicsmagick++1-dev_1.1.11-3.1_i386.deb
 d5d748d52aa4153805b7460414104c2b 163166 perl optional libgraphics-magick-perl_1.1.11-3.1_i386.deb
 7152ad0a0311562a5c6365503f108a6b 1890862 graphics extra graphicsmagick-dbg_1.1.11-3.1_i386.deb
 7d80b9855c14d30d87f7077f30dcb61a 12306 graphics extra graphicsmagick-imagemagick-compat_1.1.11-3.1_all.deb
 6f99883242af23b7d296309547541058 15910 graphics extra graphicsmagick-libmagick-dev-compat_1.1.11-3.1_all.deb

-----BEGIN PGP SIGNATURE-----

iD8DBQFIZoUFWSc8zVUw7HYRAkhnAKDm/kXTtESCHMAbXBvfO8+YG74d5gCgv/q8
HxzSXwrSzPBZTboaU/JBvmk=
=N5sB
-----END PGP SIGNATURE-----





Reply sent to Daniel Kobras <kobras@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 486985-close@bugs.debian.org (full text, mbox):

From: Daniel Kobras <kobras@debian.org>
To: 486985-close@bugs.debian.org
Subject: Bug#486985: fixed in graphicsmagick 1.2.4-1
Date: Sun, 06 Jul 2008 21:32:05 +0000
Source: graphicsmagick
Source-Version: 1.2.4-1

We believe that the bug you reported is fixed in the latest version of
graphicsmagick, which is due to be installed in the Debian FTP archive:

graphicsmagick-dbg_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/graphicsmagick-dbg_1.2.4-1_amd64.deb
graphicsmagick-imagemagick-compat_1.2.4-1_all.deb
  to pool/main/g/graphicsmagick/graphicsmagick-imagemagick-compat_1.2.4-1_all.deb
graphicsmagick-libmagick-dev-compat_1.2.4-1_all.deb
  to pool/main/g/graphicsmagick/graphicsmagick-libmagick-dev-compat_1.2.4-1_all.deb
graphicsmagick_1.2.4-1.diff.gz
  to pool/main/g/graphicsmagick/graphicsmagick_1.2.4-1.diff.gz
graphicsmagick_1.2.4-1.dsc
  to pool/main/g/graphicsmagick/graphicsmagick_1.2.4-1.dsc
graphicsmagick_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/graphicsmagick_1.2.4-1_amd64.deb
graphicsmagick_1.2.4.orig.tar.gz
  to pool/main/g/graphicsmagick/graphicsmagick_1.2.4.orig.tar.gz
libgraphics-magick-perl_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/libgraphics-magick-perl_1.2.4-1_amd64.deb
libgraphicsmagick++1-dev_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick++1-dev_1.2.4-1_amd64.deb
libgraphicsmagick++2_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick++2_1.2.4-1_amd64.deb
libgraphicsmagick1-dev_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick1-dev_1.2.4-1_amd64.deb
libgraphicsmagick2_1.2.4-1_amd64.deb
  to pool/main/g/graphicsmagick/libgraphicsmagick2_1.2.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Kobras <kobras@debian.org> (supplier of updated graphicsmagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Jul 2008 19:55:04 +0200
Source: graphicsmagick
Binary: graphicsmagick libgraphicsmagick2 libgraphicsmagick1-dev libgraphicsmagick++2 libgraphicsmagick++1-dev libgraphics-magick-perl graphicsmagick-imagemagick-compat graphicsmagick-libmagick-dev-compat graphicsmagick-dbg
Architecture: source amd64 all
Version: 1.2.4-1
Distribution: experimental
Urgency: low
Maintainer: Daniel Kobras <kobras@debian.org>
Changed-By: Daniel Kobras <kobras@debian.org>
Description: 
 graphicsmagick - collection of image processing tools
 graphicsmagick-dbg - format-independent image processing - debugging symbols
 graphicsmagick-imagemagick-compat - image processing tools providing ImageMagick interface
 graphicsmagick-libmagick-dev-compat - image processing libraries providing ImageMagick interface
 libgraphics-magick-perl - format-independent image processing - perl interface
 libgraphicsmagick++1-dev - format-independent image processing - C++ development files
 libgraphicsmagick++2 - format-independent image processing - C++ shared library
 libgraphicsmagick1-dev - format-independent image processing - C development files
 libgraphicsmagick2 - format-independent image processing - C shared library
Closes: 486985
Changes: 
 graphicsmagick (1.2.4-1) experimental; urgency=low
 .
   * New upstream version 1.2.4.
   * debian/control: Add build-time dependencies on libsm-dev, libice-dev,
     and libxext-dev as required by AC_PATH_XTRA autoconf macro. Also add
     the above as dependencies to libgraphicsmagick1-dev for consistency
     with output of (deprecated) script GraphicsMagick-config. Thanks to
     Simon McVittie for the initial fix. Closes: #486985
Checksums-Sha1: 
 56adf83f1744022c1a3f5479b212ec9984ad8e2c 1528 graphicsmagick_1.2.4-1.dsc
 82a42f94bdec60670489baebd1671f966bde8e0c 7048092 graphicsmagick_1.2.4.orig.tar.gz
 4ed2ef0600373ea8491f07395b220d16abb00492 134740 graphicsmagick_1.2.4-1.diff.gz
 ead91403f62dfd5e47aaded700e87ddb690a4ac9 967432 graphicsmagick_1.2.4-1_amd64.deb
 e52454d1440ead516e00b2b50ce8c94882d728ce 1220240 libgraphicsmagick2_1.2.4-1_amd64.deb
 451dd12c4d7ca5e8447f6d08f8cbf4b3cdbc901f 1591248 libgraphicsmagick1-dev_1.2.4-1_amd64.deb
 134a9668603cab4b96f5b342a4bce8978044e7f3 161922 libgraphicsmagick++2_1.2.4-1_amd64.deb
 afec7b7be6544e35b3a610a295ecb305eed940d0 430868 libgraphicsmagick++1-dev_1.2.4-1_amd64.deb
 ede465eba9ddecd02a730416de97b0f60c5c87f1 89320 libgraphics-magick-perl_1.2.4-1_amd64.deb
 d9664af79da0ad54304a51f53b1d72b430a2f338 2041914 graphicsmagick-dbg_1.2.4-1_amd64.deb
 01561a0dada090e10fbfdebfeea39452469ef75d 13280 graphicsmagick-imagemagick-compat_1.2.4-1_all.deb
 c7fa6ceab0768907b11ea214ebb23d22ed782f3b 16864 graphicsmagick-libmagick-dev-compat_1.2.4-1_all.deb
Checksums-Sha256: 
 cd14df655fafb517aff8e140ddfb80736e276862f16469fbb961ee657e6d8eb2 1528 graphicsmagick_1.2.4-1.dsc
 56d1227090bb0619fa8c3b08c72fc3cfc1b667e0b38701de6c8d45c0ae2ad97e 7048092 graphicsmagick_1.2.4.orig.tar.gz
 72c90d98dd98e4fcec0020946b91f21a064cecf779a23c8c3b394b7d69290d36 134740 graphicsmagick_1.2.4-1.diff.gz
 3e360cbae7892c58bf196e4cc9d15739b041752881f0677ff33c785c4c36fed7 967432 graphicsmagick_1.2.4-1_amd64.deb
 56ab7db55b4ab05d09c78fd776df982a6d2b23cad08bd9c8f2e524b8fd54984c 1220240 libgraphicsmagick2_1.2.4-1_amd64.deb
 ee372a26abf1f673e5eedd8980804b01bae0243a0440f369a0c91149bbbb668e 1591248 libgraphicsmagick1-dev_1.2.4-1_amd64.deb
 843af7d9df2c8f1fec778c693794119e69dc48b3e668261d30589a608bef815c 161922 libgraphicsmagick++2_1.2.4-1_amd64.deb
 76e3b643ff6a12b1454f1501aaf38d67e022fc170872b2885555b2796719f3ee 430868 libgraphicsmagick++1-dev_1.2.4-1_amd64.deb
 721fd7d1927f2167e5d8a81003257a584316f5d0c6ffea5ce7753a46302ee83f 89320 libgraphics-magick-perl_1.2.4-1_amd64.deb
 588e003c80db0eb68a51fe75f01841e852714bdce47409af75d45a4d401f082b 2041914 graphicsmagick-dbg_1.2.4-1_amd64.deb
 a12312e49fa45c131a8c165933bffd1fefdc78e84740cc3bd7f6861ae8d08917 13280 graphicsmagick-imagemagick-compat_1.2.4-1_all.deb
 fa1f094abeef4de46f0ec7e1ffb305c85e6e45b1a61d8775ec6595c07664d749 16864 graphicsmagick-libmagick-dev-compat_1.2.4-1_all.deb
Files: 
 4533d4667ba0dcc810c031edffce356c 1528 graphics optional graphicsmagick_1.2.4-1.dsc
 cfdc204f67a738f1749bbf4db927cb79 7048092 graphics optional graphicsmagick_1.2.4.orig.tar.gz
 0bf062e3b50e9acee3ba698be6782360 134740 graphics optional graphicsmagick_1.2.4-1.diff.gz
 f65d01d83b4aea262248e1758cf1d1bb 967432 graphics optional graphicsmagick_1.2.4-1_amd64.deb
 593853395331ac254688da52cbada6a5 1220240 libs optional libgraphicsmagick2_1.2.4-1_amd64.deb
 eed1dae0659eb559a4c8315a2eea3dad 1591248 libdevel optional libgraphicsmagick1-dev_1.2.4-1_amd64.deb
 60c01342f3eaeb6f41f3a959718415f8 161922 libs optional libgraphicsmagick++2_1.2.4-1_amd64.deb
 2de06a3475c8e1124ee78d1d5ddd897d 430868 libdevel optional libgraphicsmagick++1-dev_1.2.4-1_amd64.deb
 63ee38a3caae379a623977c68f4cbe86 89320 perl optional libgraphics-magick-perl_1.2.4-1_amd64.deb
 ce92d0e98a6f56752e56488b0f3c7694 2041914 graphics extra graphicsmagick-dbg_1.2.4-1_amd64.deb
 7206fa2faa0d5ab5416403ee9a019a88 13280 graphics extra graphicsmagick-imagemagick-compat_1.2.4-1_all.deb
 97e2167e50b9a09ffbe6410eec317470 16864 graphics extra graphicsmagick-libmagick-dev-compat_1.2.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhxM/4ACgkQpOKIA4m/fitD7wCfRxcd+qp5Leq4sK9YX4BeC8u/
qEQAnjYeI1HwfKAuCzWcPm9vtHzeaE8W
=pI8i
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 02:48:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:20:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:15:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.